/* 
 * shrip - A DVD Encoder 
 * Copyright (C) 2004-2009 Olivier Rolland <billl@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __SHRIP_COMMON_H__
#define __SHRIP_COMMON_H__

#include <ogmrip.h>

G_BEGIN_DECLS

void     load_group_defaults (GKeyFile           *key_file,
                              const GOptionEntry *entries,
                              const gchar        *group_name);

void     sighandler          (int sig);

gboolean parse_device        (const gchar        *name,
                              const gchar        *value,
                              gpointer           data,
                              GError             **error);
gboolean parse_chap          (const gchar        *name,
                              const gchar        *value,
                              gpointer           data,
                              GError             **error);
gboolean parse_aid           (const gchar        *name,
                              const gchar        *value,
                              gpointer           data,
                              GError             **error);
gboolean parse_sid           (const gchar        *name,
                              const gchar        *value,
                              gpointer           data,
                              GError             **error);
gboolean parse_container     (const gchar        *name,
                              const gchar        *value,
                              gpointer           data,
                              GError             **error);
gboolean parse_vcodec        (const gchar        *name,
                              const gchar        *value,
                              gpointer           data,
                              GError             **error);
gboolean parse_preset        (const gchar        *name,
                              const gchar        *value,
                              gpointer           data,
                              GError             **error);
gboolean parse_acodec        (const gchar        *name,
                              const gchar        *value,
                              gpointer           data,
                              GError             **error);
gboolean parse_scodec        (const gchar        *name,
                              const gchar        *value,
                              gpointer           data,
                              GError             **error);
gboolean parse_scaler        (const gchar        *name,
                              const gchar        *value,
                              gpointer           data,
                              GError             **error);
gboolean parse_deint         (const gchar        *name,
                              const gchar        *value,
                              gpointer           data,
                              GError             **error);
gboolean parse_fourcc        (const gchar        *name,
                              const gchar        *value,
                              gpointer           data,
                              GError             **error);
gboolean parse_crop          (const gchar        *name,
                              const gchar        *value,
                              gpointer           data,
                              GError             **error);
gboolean parse_scale         (const gchar        *name,
                              const gchar        *value,
                              gpointer           data,
                              GError             **error);
gboolean parse_size          (const gchar        *name,
                              const gchar        *value,
                              gpointer           data,
                              GError             **error);
gboolean parse_charset       (const gchar        *name,
                              const gchar        *value,
                              gpointer           data,
                              GError             **error);
gboolean parse_newline       (const gchar        *name,
                              const gchar        *value,
                              gpointer           data,
                              GError             **error);
gboolean parse_bpp           (const gchar        *name,
                              const gchar        *value,
                              gpointer           data,
                              GError             **error);
gboolean parse_profile       (const gchar        *name,
                              const gchar        *value,
                              gpointer           data,
                              GError             **error);

gint     get_longest_title   (OGMDvdDisc         *disc); 
/*
void     convert_alang       (OGMDvdTitle        *title);
void     convert_slang       (OGMDvdTitle        *title);

gboolean check_options       (OGMDvdTitle        *title);
*/



OGMRipEncoding * create_encoding (OGMDvdTitle *title,
                                  GError      **error);

G_END_DECLS

#endif /* __SHRIP_COMMON_H__ */
